Loading...
Searching...
No Matches
data_key.hpp File Reference

## Description

Provides mongocxx::v_noabi::options::data_key.

Includes
  - mongocxx/v1/data_key_options.hpp

Go to the source code of this file.

## Classes

class | mongocxx::v_noabi::options::data_key
| Used by mongocxx::v_noabi::client_encryption::create_data_key. More...

## Namespaces

namespace | mongocxx
| The top-level namespace within which all mongocxx library entities are declared.
namespace | mongocxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | mongocxx::v_noabi::options
| Declares entities representing options to use with various commands.

## Functions

v_noabi::options::data_key | mongocxx::v_noabi::from_v1 (v1::data_key_options v)
| Convert to the mongocxx::v_noabi equivalent of v.
v1::data_key_options | mongocxx::v_noabi::to_v1 (v_noabi::options::data_key const &v)
| Convert to the mongocxx::v1 equivalent of v.